- [HTTP request](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/create#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/create#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/create#body.request_body)
- [Response body](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/create#body.response_body)
- [Authorization scopes](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/create#body.aspect)
- [IAM Permissions](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/create#body.aspect_1)

Creates a SelectedRoute and starts a schedule to periodically retrieve cache information for the route.

### HTTP request

`POST https://roads.googleapis.com/selection/v1/{parent=projects/*}/selectedRoutes`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The project that the `SelectedRoute` will be created under. Format: projects/{project} |

### Query parameters

| Parameters ||
|---|---|
| `selectedRouteId` | `string` Optional. The ID to use for the `SelectedRoute`, which will become the final component of the `SelectedRoute`'s resource name. This value should be 4-63 characters, and valid characters are "a-z", "A-Z", "0-9", "-", or "_". If it isn't provided or empty, a UUID will be generated after resource creation. |

### Request body

The request body contains an instance of `https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes#SelectedRoute`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes#SelectedRoute`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `roads.selectedRoutes.create`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).